<!--
* Esta es la interfaz encaragada de mostrar los detalles de la casa seleccionana
* @author Cristian Camilo Diaz <cristian.camilo0614@gmail.com>
* @version 2020-11-04
-->

<!--
    Aquie creeamos 2 cards en las cuales mostraremos la imagen tanto de la casa
    e la que nos encontramos, como de la mascota oficial de dicha casa
    recorremos la respuesta del Servicio con un ciclo y mostramos la informacion.
-->

<div class="card-columns" style="margin-left: 14em;">

    <div class="card animated fadeIn fast" style="margin-left: 5em; " *ngFor="let house of respuesta;">

        <a style="size: 19em; " style="margin-left: 1em; "> Nombre  de la Casa: {{house.name}}</a>
        <br>
        <img class="imags " style="margin-left: 2em; " src="../../../assets/image/{{house.name}}.jpg ">

        <br><br>
    </div>
    <div class="card animated fadeIn fast " style="margin-left: 5em; " *ngFor="let house of respuesta; ">

        <a style="size: 19em; " style="margin-left: 1em; "> Mascota Oficial: {{house.mascot}}</a>
        <br>
        <img class="imags " style="margin-left: 2em; " src="../../../assets/image/{{house.mascot}}.jpg ">
        <br><br>
    </div>
</div>

<br><br>

<!--
    en esta seccion se muestra los diferentes miembros de la casa seleccionada
    tenemos que utilizar 2 ciclos, 1 para iterar la respuesta del servcio y otro
    para iterar el array interno el cual tiene los datos de los nombres de los miembros
    de este casa
-->

<h1 align="center">Miembros De Esta Casa</h1>
<br>

<div class="card-columns" style="margin-left: 14em;">

    <a *ngFor="let houses of respuesta;">

        <div class="card animated fadeIn fast" *ngFor="let house of houses.members; let i=index">

            <a style="size: 19em; " style="margin-left: 5em; ">{{house.name}}</a>

            <br>

        </div>
    </a>
</div>